<?php include 'header.php'; ?>
	<h1>tilde.chat <img src="/badges/badge.php"></h1>
	<hr>

	<p>hey hi</p>
	<p>tilde.chat is an irc network for tildes: social unix servers built as an intentional community for teaching, learning, and sharing.</p>
	<p>tilde.chat is meant to be a space for all tilde members to hang out, share, teach, and learn.</p>

	<p>feel free to contact a tilde.team admin (<?php
	$team = json_decode(file_get_contents("members.json"))->members[2];
	$count = count($team->sysadmins);
	foreach($team->sysadmins as $sysadmin) {
		echo "<a href='{$sysadmin[1]}'>{$sysadmin[0]}</a>";
		if ($count>1) {
			echo ", ";
			$count--;
		}
	}?>) for more info as we flesh out this site</p>

	<h3>connection info</h3>
	<p>you can connect to tilde.chat on port 6697 with ssl</p>
	<p>or localhost 6667 from a shell on any of the member tildes :) (port 7766 on ~town)</p>

	<h3>mumble server</h3>
	<p>connect to tilde.chat on the default port and talk!</p>
	<p>might not be anyone there. shout about it on irc first!</p>

	<h3>member tildes</h3>
	<ul>

	<?php
		$members = json_decode(file_get_contents("members.json"))->members;
		foreach($members as $member) {
			echo "\t\t<li><a href='{$member->link}'>{$member->name}</a> (sysadmin";
			if (count($member->sysadmins)!=1) {
				echo "s"; // plural
			}
			echo ": ";
			$count = count($member->sysadmins);
			foreach($member->sysadmins as $sysadmin) {
				echo "<a href='{$sysadmin[1]}'>{$sysadmin[0]}</a>";
				if ($count>1) {
					echo ", ";
					$count--;
				}
			}
			echo ", private channel: {$member->private_channel})</li>&nbsp;&nbsp;Description: \"{$member->description}\"<br><br>\n";
		}
	?>

	</ul>

<hr>

<!-- misc channel info -->
<h3>channel info</h3>
<a href="stats.php">stats here</a>
<pre>
#meta          - main lobby channel
#projects      - project ideas and discussions
#shitposting   - somewhere to put your bad memes
#chaos         - everyone's opped and anything goes
#town          - private channel for tilde.town
#fun           - private channel for tilde.fun
</pre>

<!-- closed. see: https://tilde.chat/discord/
<p>* = bridged to discord: tilde.chat private discord invites for tilde members <a href="/discord">here</a>. join and confirm that you're a tilde member to get access to the channels (including a private Discord channel for your tilde). bridging configuration can be adjusted per request.</p>
-->
<p>private channels are accessible only when connecting from the corresponding ircd node: eg. #team will only be accessible when you're connected to the tilde.team node, where #town and #your will disallow joining.</p>

<hr>
<h3>rules/guidelines</h3>
<p>chatting/using tilde.chat irc servers implies agreement with the <a href="https://tilde.team/wiki/?page=code-of-conduct">code of conduct</a>. the <a href="https://tilde.town/wiki/conduct.html">tilde.town code of conduct</a> applies as well.</p>
<p>incidents will be handled according to the CoC as well as by admins of your home tilde</p>

<?php include 'footer.php'; ?>
